#
# spec file for package econcentration
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           entrance
Version:	0.0.4
Release:        2.7
License:        GPL-3.0
Summary:        Simple game to train concentration and memory
Url:            http://entrance.sourceforge.net/
Group:          Amusements/Games/Logic
Source:         %{name}-%{version}.tar.bz2
Source2:	entrance
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:	ConsoleKit-devel
BuildRequires:  doxygen
BuildRequires:	ecore-devel
BuildRequires:  edje-devel
BuildRequires:	eet-devel
BuildRequires:	efreet-devel
BuildRequires:	eina-devel
BuildRequires:  elementary-devel
BuildRequires:	evas-devel
BuildRequires:  libtool
BuildRequires:  pam-devel
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Picture based game to train concentration and memory.

%prep
%setup -q

%build
%configure --disable-static --disable-silent-rules
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
mkdir -p %{buildroot}/usr/lib/X11/displaymanagers
cp %SOURCE2 %{buildroot}/usr/lib/X11/displaymanagers/

%clean
%{?buildroot:rm -rf %{buildroot}}

%files
%defattr(-,root,root)
%{_sbindir}/*
%config %{_sysconfdir}/%{name}.conf
%config %{_sysconfdir}/pam.d/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%if 0%{?sles_version} != 11
%dir /usr/lib/X11
%endif
%dir /usr/lib/X11/displaymanagers
/usr/lib/X11/displaymanagers/entrance

%changelog
* Sat Dec 22 2012       Andrew Wyatt <andrew@fuduntu.org> - Version:0.0.4-2.7
- Built for Fuduntu

* Fri Nov 30 2012 sleep_walker@suse.cz
- use separate packages instead efl (copy to Factory)
* Mon Nov 26 2012 sleep_walker@suse.cz
- fix license
- simplify/unify make install
- --disable-silent-rules
* Sat Nov 24 2012 sleep_walker@suse.cz
- use efl instead of separate packages
* Fri Sep 28 2012 sleep_walker@suse.cz
- do not own /usr/lib/X11 on sles
* Fri Sep 28 2012 sleep_walker@suse.cz
- add pam-devel into dependencies
* Tue Sep 25 2012 sleep_walker@suse.cz
- add entrance file for displaymanagers
* Mon Sep 17 2012 sleep_walker@suse.cz
- remove commented code
* Mon Sep 17 2012 sleep_walker@suse.cz
- fix typo
* Mon Sep 17 2012 sleep_walker@suse.cz
- let there be entrance (former elsa)
